# FORCE_EFI_BOOT

echo -off
# +
# + ============================================================== +
#  Copyright (c) 2018, Intel Corporation.

#  This source code and any documentation accompanying it ("Material") is furnished
#  under license and may only be used or copied in accordance with the terms of that
#  license.  No license, express or implied, by estoppel or otherwise, to any
#  intellectual property rights is granted to you by disclosure or delivery of these
#  Materials.  The Materials are subject to change without notice and should not be
#  construed as a commitment by Intel Corporation to market, license, sell or support
#  any product or technology.  Unless otherwise provided for in the license under which
#  this Material is provided, the Material is provided AS IS, with no warranties of
#  any kind, express or implied, including without limitation the implied warranties
#  of fitness, merchantability, or non-infringement.  Except as expressly permitted by
#  the license for the Material, neither Intel Corporation nor its suppliers assumes
#  any responsibility for any errors or inaccuracies that may appear herein.  Except
#  as expressly permitted by the license for the Material, no part of the Material
#  may be reproduced, stored in a retrieval system, transmitted in any form, or
#  distributed by any means without the express written consent of Intel Corporation.

#  Module Name:  Startup.nsh

#  Abstract:  UEFI Script file for invoking system software updates for 
#  Intel "Fortass Pass" based systems.

# + ============================================================== +
#    Program all blocks of BIOS from capsule file 
# + ============================================================== +

@echo -off
mode 80 25
;foundimage section is simply to locate the correct drive
cls
if exist .\ipmi.efi then
 goto FOUNDIMAGE
endif
if exist fs0:\ipmi.efi then
 fs0:
 echo Found Update Packages on fs0:
 goto FOUNDIMAGE
endif
if exist fs1:\ipmi.efi then
 fs1:
 echo Found Update Packages on fs1:
 goto FOUNDIMAGE
endif
if exist fs2:\ipmi.efi then
 fs2:
 echo Found Update Packages on fs2:
 goto FOUNDIMAGE
endif
 echo "Unable to find Update Packages".  
 echo "Please mount the drive with the update package".
 echo ""
 goto END
:FOUNDIMAGE

:restart
if exist reset_pass.txt then
	del reset_pass.txt
	goto FRUSDR
else
	goto A	
endif
:END

:A

echo "================================================================================"
echo " "
echo "This utility will update the BMC firmware, system BIOS, ME firmware, FRUSDR"
echo " "
echo "      - Intel product family code name: Fortass Pass"
echo " "
echo "If you have not read the README file providing the update instructions,"
echo "it is highly advisable you do that before continuing with this update."
echo " "
echo "During the full update process, the system will reboot several times."
echo "Do NOT power off the system or remove the USB flash drive at any time during"
echo "this process. Doing so may render your system inoperable."
echo " "
echo "Please make sure no *pass.txt exist in USB key before starting update process"
echo "================================================================================"

# Notification
     echo " Checking your current code levels for compatibility with this SUP. "
     echo " .............................Please wait......................................"
     echo "Reading Current FW on board..."
     sysfwupdt.efi -i
   
echo " "
echo "See the README file for additional information."
echo " "

pause

if exist BMC_pass.txt then 
	del BMC_pass.txt
	del BIOS_pass.txt
else 
   goto BIOS_BMC
endif

:BIOS_BMC
cls
echo " "
echo "==============================================================================="
echo "Continuing system BIOS&BMC Recovery region update......"
echo "DO NOT remove the USB flash drive"
echo " "
echo " "

updBios_BMC.nsh

echo " "
echo "BMC Firmware recovery region update has completed" > BMC_pass.txt
echo "BIOS Firmware recovery region update has completed" > BIOS_pass.txt 
echo " "

stall 10000000
goto A
reset


:FRUSDR
cls
echo " "
echo "==============================================================================="
echo "Continuing system FRUSDR update......"
echo " "
echo " "

updS2600WFTF.nsh

echo " "
echo "System FRU & SDR data have successfully been updated"
echo " "
#
:final
echo " "
echo "============================================================"
echo "All system updates have now completed"
echo " "
echo "You can now remove the USB Key and reboot the system. During POST access the"
echo "<f2> BIOS Setup utility to confirm all updates have installed properly."


:END
 